
#ifndef COMMON_H
#define COMMON_H

#define GAME_NAME "dim3nsion"
#define GAME_TITLE "DIM3NSION"

#define GAME_VERSION_STRING "0.1.0"

#define MAX(a, b) (a > b ? a : b)
#define MIN(a, b) (a < b ? a : b)

extern int SystemEndian;

enum {
  ENDIAN_LITTLE = 0,
  ENDIAN_BIG
} endians;

extern short(*BigShort)    (short l);
extern short(*LittleShort) (short l);
extern int (*BigInt)    (int l);
extern int (*LittleInt) (int l);
extern float(*BigFloat)    (float l);
extern float(*LittleFloat) (float l);

int Common_Init(void);

#endif // COMMON_H
