#version 120

uniform float time;

uniform int zShorten;

varying vec4 color;
varying vec3 normal;

varying vec3 pos;

void main() {
  gl_Position = ftransform();

  if(zShorten == 1) {
    gl_Position.z *= 0.001;
  }

  color = gl_Color;
  normal = (vec4(gl_Normal, 0.0) * gl_ModelViewMatrix).xyz;

  pos = gl_Vertex.xyz;
}
