
#include "SDL.h"
#include "SDL_events.h"

#include "video.h"
#include "render.h"

#include "event.h"

int Event_Frame(void) {
  SDL_Event event;

  while(SDL_PollEvent(&event) != 0) {
    switch(event.type) {
    case SDL_QUIT:
      return 1;
    case SDL_WINDOWEVENT:
      if(event.window.event == SDL_WINDOWEVENT_SIZE_CHANGED) {
	windowData.width = event.window.data1;
	windowData.height = event.window.data2;

	Render_SetViewport(windowData.width, windowData.height);
      }
    }
  }

  return 0;
}

void Event_AfterFrame(void) {
}
