
#ifndef RENDER_H
#define RENDER_H

#include <GL/gl.h>

int Render_Init(void);
int Render_DeInit(void);

int Render_Frame(void);
void Render_AfterFrame(void);

void Render_SetViewport(int w, int h);
void Render_SetPerspective(GLfloat fov, GLfloat clipNear, GLfloat clipFar);

#endif // RENDER_H
