
#include <SDL.h>
#include <GL/gl.h>

#include <stdio.h>

#include "shadersource.h"

GLchar *vertexShaderSource, *fragmentShaderSource;

char *Shadersource_GetShader(const char *path) {
  SDL_RWops *rw = SDL_RWFromFile(path, "r");
  
  int filesize = SDL_RWsize(rw);
  int newFilesize = filesize;

  char *shaderString;

  shaderString = malloc(sizeof(char) * (filesize + 1));
  
  SDL_RWread(rw, shaderString, sizeof(char), filesize);

  shaderString[filesize] = 0; // add null character
   
  SDL_RWclose(rw);

  return shaderString;
}

int Shadersource_LoadVertexShader(const char *path) {
  vertexShaderSource = Shadersource_GetShader(path);

  return 0;
}

int Shadersource_LoadFragmentShader(const char *path) {
  fragmentShaderSource = Shadersource_GetShader(path);

  return 0;
}
