
#include "SDL.h"

#include <stdio.h>

#include "common.h"

#include "video.h"

SDL_Window *window;

int Video_Init(void) {
  windowData.width = 1024;
  windowData.height = 768;

  windowData.vsyncEnabled = 0;

  printf("Video_Init: %dx%d\n", windowData.width, windowData.height);

  window = SDL_CreateWindow(GAME_TITLE,
			    SDL_WINDOWPOS_UNDEFINED, SDL_WINDOWPOS_UNDEFINED,
			    windowData.width, windowData.height,
			    SDL_WINDOW_RESIZABLE | SDL_WINDOW_OPENGL);
  if(window == NULL) {
    printf("SDL_CreateWindow: Failed: %s\n", SDL_GetError());
    return 1;
  }

  return 0;
}

int Video_DeInit(void) {
  SDL_DestroyWindow(window);
  window = NULL;

  return 0;
}

int Video_Frame(void) {
  return 0;
}

void Video_AfterFrame(void) {
}
